$(document).ready ->
  $('a.ajax').live 'click', (e) ->
    e.preventDefault()
    window.location.hash = $(this).attr('href').replace('/', '#', 1)


  window.views =
    change_main: (html) ->
      $('#main').fadeOut 200, ->
        $('#main').html html
        $('#main').fadeIn 300
    
    home: (topics) ->
      window.views.change_main render('home/_header') +
                               render('home/_posts', {topics: window.topics}) +
                               render('home/_footer')

    post: (slug) ->
      $.get "/api/posts/#{slug}", (post) ->
        window.post = post
        window.views.change_main render('post/_header') +
                                 render('post/_article', {post: post})
    

  Hasher.add "posts/:slug", (slug) ->
    window.views.post(slug)


  Hasher.add "", ->
    if window.topics?
       window.views.home()
    else
      $.get "/api/posts", (topics) ->
        window.topics = topics
        window.views.home()

  Hasher.setup()